From: Jonatan Schlag <jonatan.schlag@ipfire.org>
To: network@lists.ipfire.org
Subject: [PATCH 3/5] dhcp: check the config indide the hook_parse_cmdline() function
Date: Mon, 17 Jul 2017 17:24:24 +0200 [thread overview]
Message-ID: <1500305066-12510-3-git-send-email-jonatan.schlag@ipfire.org> (raw)
In-Reply-To: <1500305066-12510-1-git-send-email-jonatan.schlag@ipfire.org>
[-- Attachment #1: Type: text/plain, Size: 1083 bytes --]
We now check the config inside the hook_parse_cmdline function.
This mae it possible ti use this function in a generic edit function.
Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
---
src/hooks/configs/dhcp | 13 ++++++-------
1 file changed, 6 insertions(+), 7 deletions(-)
diff --git a/src/hooks/configs/dhcp b/src/hooks/configs/dhcp
index 8bb6aa9..7f6780b 100644
--- a/src/hooks/configs/dhcp
+++ b/src/hooks/configs/dhcp
@@ -55,6 +55,12 @@ hook_parse_cmdline() {
esac
shift
done
+
+ # Check if the user disabled ipv6 and ipv4
+ if ! enabled ENABLE_IPV6 && ! enabled ENABLE_IPV4; then
+ log ERROR "You disabled IPv6 and IPv4. At least one must be enabled"
+ return ${EXIT_ERROR}
+ fi
}
hook_new() {
@@ -71,13 +77,6 @@ hook_new() {
return ${EXIT_ERROR}
fi
- # Check if the user disabled ipv4 and ipv6
-
- if ! enabled ENABLE_IPV6 && ! enabled ENABLE_IPV4; then
- log ERROR "You disabled IPv6 and IPv4. At least one must be enabled"
- return ${EXIT_ERROR}
- fi
-
zone_config_settings_write "${zone}" "${HOOK}"
exit ${EXIT_OK}
--
2.6.3
next prev parent reply other threads:[~2017-07-17 15:24 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-07-17 15:24 [PATCH 1/5] zone: fix zone_config() Jonatan Schlag
2017-07-17 15:24 ` [PATCH 2/5] header-zone fix hook_config_edit() Jonatan Schlag
2017-07-17 20:21 ` Michael Tremer
2017-07-17 15:24 ` Jonatan Schlag [this message]
2017-07-17 15:24 ` [PATCH 4/5] config: add new functions Jonatan Schlag
2017-07-17 20:22 ` Michael Tremer
2017-07-17 20:23 ` Michael Tremer
2017-07-17 15:24 ` [PATCH 5/5] header-config: add generic hook_edit function Jonatan Schlag
2017-07-17 20:20 ` [PATCH 1/5] zone: fix zone_config() Michael Tremer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1500305066-12510-3-git-send-email-jonatan.schlag@ipfire.org \
--to=jonatan.schlag@ipfire.org \
--cc=network@lists.ipfire.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox